/*
 *      aboutdialog.cpp
 *
 *      Copyright 2014 David Vachulka <arch_dvx@users.sourceforge.net>
 *
 *      This program is free software; you can redistribute it and/or modify
 *      it under the terms of the GNU General Public License as published by
 *      the Free Software Foundation; either version 3 of the License, or
 *      (at your option) any later version.
 *
 *      This program is distributed in the hope that it will be useful,
 *      but WITHOUT ANY WARRANTY; without even the implied warranty of
 *      MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 *      GNU General Public License for more details.
 *
 *      You should have received a copy of the GNU General Public License
 *      along with this program; if not, write to the Free Software
 *      Foundation, Inc., 51 Franklin Street, Fifth Floor, Boston,
 *      MA 02110-1301, USA.
 */

#include <QtGui>
#if(QT_VERSION > 0x050000)
#include <QtWidgets>
#endif
#include <QApplication>
#include "aboutdialog.h"
#include "config.h"
#include "dxutils.h"
#include "i18n.h"
#ifdef HAVE_LUA
extern "C" {
#include <lua.h>
}
#endif

AboutDialog::AboutDialog(QWidget *parent) :
    QDialog(parent)
{
    QLabel *icon = new QLabel;
    icon->setPixmap(QPixmap(":/icons/big_dxirc.png"));
    icon->setAlignment(Qt::AlignCenter);
    QLabel *name = new QLabel;
    name->setText(QString("<big><b>dxirc %1<br>(Qt toolkit)</b></big>").arg(qApp->applicationVersion()));
    name->setAlignment(Qt::AlignCenter);
    QDialogButtonBox *buttons = new QDialogButtonBox(QDialogButtonBox::Ok);
    connect(buttons, SIGNAL(accepted()), this, SLOT(accept()));
    QVBoxLayout *mainLayout = new QVBoxLayout;
    QLabel *link = new QLabel;
    link->setText("<a href=\"http://dxirc.org\">http://dxirc.org</a>");
    link->setAlignment(Qt::AlignCenter);
    link->setOpenExternalLinks(true);
    QLabel *fam = new QLabel;
    fam->setText(_("<small>Uses <a href=\"http://www.famfamfam.com/lab/icons/\">famfamfam icons</a></small>"));
    fam->setOpenExternalLinks(true);
    QLabel *license = new QLabel;
    license->setText(_("Released under the <a href=\"http://www.gnu.org/licenses/gpl.html\">GPL 3</a> license"));
    license->setOpenExternalLinks(true);
    mainLayout->addWidget(icon);
    mainLayout->addWidget(name);
    mainLayout->addWidget(new QLabel(_("Copyright (C) 2008~ David Vachulka (arch_dvx@users.sourceforge.net)\nand others")));
    mainLayout->addWidget(license);
    mainLayout->addWidget(new QLabel(_("<small>Uses Qt %1</small>").arg(qVersion())));
#ifdef HAVE_LUA
    mainLayout->addWidget(new QLabel(_("<small>Built with %1</small>").arg(LUA_RELEASE)));
#endif
    mainLayout->addWidget(fam);
    mainLayout->addWidget(link);
    mainLayout->addWidget(buttons);
    setLayout(mainLayout);
    setWindowTitle(_("About dxirc"));
}
