/*
 *      keydialog.h
 *
 *      Copyright 2014 David Vachulka <arch_dvx@users.sourceforge.net>
 *
 *      This program is free software; you can redistribute it and/or modify
 *      it under the terms of the GNU General Public License as published by
 *      the Free Software Foundation; either version 3 of the License, or
 *      (at your option) any later version.
 *
 *      This program is distributed in the hope that it will be useful,
 *      but WITHOUT ANY WARRANTY; without even the implied warranty of
 *      MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 *      GNU General Public License for more details.
 *
 *      You should have received a copy of the GNU General Public License
 *      along with this program; if not, write to the Free Software
 *      Foundation, Inc., 51 Franklin Street, Fifth Floor, Boston,
 *      MA 02110-1301, USA.
 */

#ifndef KEYDIALOG_H
#define KEYDIALOG_H

#include <QtGui>
#if(QT_VERSION > 0x050000)
#include <QtWidgets>
#endif

class KeyDialog: public QDialog
{
    Q_OBJECT
public:
    explicit KeyDialog(QWidget *parent = 0);

    bool restartApp() const { return m_restart; }
private slots:
    void slotSaveClose();
    void slotTable(QTreeWidgetItem *item);
private:
    QTreeWidget *m_table;
    QPushButton *m_buttonSaveClose;
    QMap<QString,QKeySequence> m_binds;
    bool m_changed;
    bool m_restart;
    QStringList m_nonchangeableBindings;

    void updateTable();
    bool bindingExist(const QKeySequence &sequence);
};

class BindEditDialog: public QDialog
{
    Q_OBJECT
public:
    explicit BindEditDialog(const QString &command, const QKeySequence &sequence, QWidget *parent = 0);

    QKeySequence sequence() const;
protected:
    void keyPressEvent(QKeyEvent *e);
private:
    QLabel *m_bind;
    QKeySequence m_sequence;
};

#endif  /* KEYDIALOG_H */

