/*
 *      listdialog.h
 *
 *      Copyright 2015 David Vachulka <arch_dvx@users.sourceforge.net>
 *
 *      This program is free software; you can redistribute it and/or modify
 *      it under the terms of the GNU General Public License as published by
 *      the Free Software Foundation; either version 3 of the License, or
 *      (at your option) any later version.
 *
 *      This program is distributed in the hope that it will be useful,
 *      but WITHOUT ANY WARRANTY; without even the implied warranty of
 *      MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 *      GNU General Public License for more details.
 *
 *      You should have received a copy of the GNU General Public License
 *      along with this program; if not, write to the Free Software
 *      Foundation, Inc., 51 Franklin Street, Fifth Floor, Boston,
 *      MA 02110-1301, USA.
 */

#ifndef LISTDIALOG_H
#define LISTDIALOG_H

#include <QtGui>
#if(QT_VERSION > 0x050000)
#include <QtWidgets>
#endif
#include "engine/ircengine.h"

class ListDialog: public QDialog
{
    Q_OBJECT
public:
    explicit ListDialog(IrcEngine *engine, QStringList channels, QWidget *parent = 0);
private slots:
    void slotJoin();
    void slotClose();
    void slotSearch();
private:
    IrcEngine *m_engine;
    QTreeWidget *m_table;
    QPushButton *m_buttonJoin, *m_buttonClose;
    QStringList m_channels;
    QLineEdit *m_search;

    void fillChannelList();
};

#endif  /* LISTDIALOG_H */

