/*
 *      userdialog.h
 *
 *      Copyright 2014 David Vachulka <arch_dvx@users.sourceforge.net>
 *
 *      This program is free software; you can redistribute it and/or modify
 *      it under the terms of the GNU General Public License as published by
 *      the Free Software Foundation; either version 3 of the License, or
 *      (at your option) any later version.
 *
 *      This program is distributed in the hope that it will be useful,
 *      but WITHOUT ANY WARRANTY; without even the implied warranty of
 *      MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 *      GNU General Public License for more details.
 *
 *      You should have received a copy of the GNU General Public License
 *      along with this program; if not, write to the Free Software
 *      Foundation, Inc., 51 Franklin Street, Fifth Floor, Boston,
 *      MA 02110-1301, USA.
 */

#ifndef USERDIALOG_H
#define USERDIALOG_H

#include <QtGui>
#if(QT_VERSION > 0x050000)
#include <QtWidgets>
#endif

class UserDialog : public QDialog
{
    Q_OBJECT
public:
    UserDialog(bool frien, QWidget *parent = 0);
    UserDialog(bool frien, const QString &nick, const QString &channels, const QString &server, bool add = false, QWidget *parent = 0);

    QString nick() const { return m_nick->text(); }
    QString channels() const { return m_channels->text(); }
    QString server() const { return m_server->text(); }
private:
    QLineEdit *m_nick;
    QLineEdit *m_channels;
    QLineEdit *m_server;

    void createGUI(const QString &nick, const QString &channels, const QString &server);
};

#endif  /* USERDIALOG_H */

