/*
 *      colorbutton.h
 *
 *      Copyright 2014 David Vachulka <arch_dvx@users.sourceforge.net>
 *
 *      This program is free software; you can redistribute it and/or modify
 *      it under the terms of the GNU General Public License as published by
 *      the Free Software Foundation; either version 3 of the License, or
 *      (at your option) any later version.
 *
 *      This program is distributed in the hope that it will be useful,
 *      but WITHOUT ANY WARRANTY; without even the implied warranty of
 *      MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 *      GNU General Public License for more details.
 *
 *      You should have received a copy of the GNU General Public License
 *      along with this program; if not, write to the Free Software
 *      Foundation, Inc., 51 Franklin Street, Fifth Floor, Boston,
 *      MA 02110-1301, USA.
 */

#ifndef COLORBUTTON_H
#define COLORBUTTON_H

#include <QAbstractButton>

class ColorButton : public QAbstractButton
{
    Q_OBJECT
public:
    ColorButton(const QColor &color, const QString &text, QWidget *parent=0);

    const QColor &getColor() const { return m_color; }
    QSize sizeHint() const;
    QSize minimumSizeHint() const;
signals:
    void colorChanged(const QColor&);
protected:
    void paintEvent(QPaintEvent*);
    void drawButton(QPainter *p);
    void drawButtonContent(QPainter *p);
private:
    QColor m_color;
private slots:
    void changeColor();
};

#endif // COLORBUTTON_H
